/* 
 * i-scream central monitoring system
 * http://www.i-scream.org
 * Copyright (C) 2000-2002 i-scream
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

//---PACKAGE DECLARATION---
package uk.org.iscream.cms.server.componentmanager;

//---IMPORTS---

/**
 * This exception is thrown when a component fails to start.
 * The failing component MUST give a failing message.
 *
 * @author  $Author: tdb $
 * @version $Id: ComponentStartException.java,v 1.8 2004/08/01 10:40:50 tdb Exp $
 */
public class ComponentStartException extends Exception {

//---FINAL ATTRIBUTES---

//---STATIC METHODS---

//---CONSTRUCTORS---
    
    /**
     * Takes a string containing the message to be displayed 
     * for the exception.
     *
     * @param message the message
     */
    public ComponentStartException(String message){
        super(message);
    }

//---PUBLIC METHODS---

//---PRIVATE METHODS---

//---ACCESSOR/MUTATOR METHODS---

//---ATTRIBUTES---

//---STATIC ATTRIBUTES---

}



